import {
    Camera,
    Color,
    Scene,
    PerspectiveCamera,
    WebGLRenderer,
    AmbientLight,
    LoadingManager,
  } from "https://cdn.skypack.dev/three@0.132.2";
  
  import { GLTFLoader } from 'https://cdn.skypack.dev/three@0.132.2/examples/jsm/loaders/GLTFLoader.js';

const container = document.querySelector('#scene-container');
const scene = new Scene();
const renderer = new WebGLRenderer();
const hlight = new AmbientLight (0x404040,100);
const fov = 60;
const aspect = container.clientWidth / container.clientHeight;
const near = 0.1;
const far = 100; 
const camera = new PerspectiveCamera(fov, aspect, near, far);

const manager = new LoadingManager();

scene.background = new Color('white');
camera.position.set(0, 50, 50);
camera.lookAt(scene.position); 
scene.add(hlight);
renderer.setSize(container.clientWidth, container.clientHeight);
renderer.setPixelRatio(window.devicePixelRatio);
container.append(renderer.domElement);


manager.onStart = function ( url, itemsLoaded, itemsTotal ) {
	console.log( 'Started loading file: ' + url + '.\nLoaded ' + itemsLoaded + ' of ' + itemsTotal + ' files.' );
};
manager.onLoad = function ( ) {
	console.log( 'Loading complete!');
    
};
manager.onProgress = function ( url, itemsLoaded, itemsTotal ) {
	console.log( 'Loading file: ' + url + '.\nLoaded ' + itemsLoaded + ' of ' + itemsTotal + ' files.' );
};
manager.onError = function ( url ) {
	console.log( 'There was an error loading ' + url );
};

const loader = new GLTFLoader(manager);
loader.load('laptop.glb', function(gltf){
  const car = gltf.scene.children[0];
  car.scale.set(1.5,1.5,1.5);
  scene.add(gltf.scene);
  renderer.render(scene, camera);
  //camera.lookAt(mesh.position);
  animate();
});


function animate() {
    renderer.render(scene,camera);
    requestAnimationFrame(animate);
  }